PATCH /v2/api/events

Set event status to completed or failed. Only pending events (with both completed_at and failed_at NULL) can be updated. When setting status to 'completed', completed_at is set and failed_at is cleared. When setting status to 'failed', failed_at is set and completed_at is cleared. This is a once-only operation - events cannot be re-processed once marked as completed or failed. Returns 409 Conflict if event is already processed, 404 Not Found if event doesn't exist.

application/json

Body Required

Status update with id and status. Status must be 'completed' or 'failed'

  • accountId string
  • completedAt string
  • createdAt string
  • eventType string
  • failedAt string
  • id string
  • payload object

Responses

  • 200 application/json

    Returns id and updated:true when event was successfully updated

    Hide response attributes Show response attributes object
    • accountId string
    • completedAt string
    • createdAt string
    • eventType string
    • failedAt string
    • id string
    • payload object
  • 404 application/json

    Event not found

    Hide response attributes Show response attributes object
    • error string
    • message string
    • statusCode integer
  • 409 application/json

    Event already processed

    Hide response attributes Show response attributes object
    • error string
    • message string
    • statusCode integer
  • default application/json

    All errors will return the same object with a describing code & message

    Hide response attributes Show response attributes object
    • error string
    • message string
    • statusCode integer
PATCH /v2/api/events
curl \
 --request PATCH 'https://api.maddenanalytics.com/v2/api/events' \
 --header "Content-Type: application/json" \
 --data '{"accountId":"string","completedAt":"string","createdAt":"string","eventType":"string","failedAt":"string","id":"string","payload":{}}'
Request examples
{
  "accountId": "string",
  "completedAt": "string",
  "createdAt": "string",
  "eventType": "string",
  "failedAt": "string",
  "id": "string",
  "payload": {}
}
Response examples (200)
{
  "accountId": "string",
  "completedAt": "string",
  "createdAt": "string",
  "eventType": "string",
  "failedAt": "string",
  "id": "string",
  "payload": {}
}
Response examples (404)
{
  "error": "Error Type (if any)",
  "message": "Message describing the error",
  "statusCode": 400
}
Response examples (409)
{
  "error": "Error Type (if any)",
  "message": "Message describing the error",
  "statusCode": 400
}
Response examples (default)
{
  "error": "Error Type (if any)",
  "message": "Message describing the error",
  "statusCode": 400
}